[versions]
agp = "8.5.2"
ccp = "2.6.0"
hiltAndroid = "2.51.1"
kotlin = "1.9.0"
coreKtx = "1.15.0"
junit = "4.13.2"
junitVersion = "1.2.1"
espressoCore = "3.6.1"
lifecycleRuntimeKtx = "2.8.7"
activityCompose = "1.9.3"
composeBom = "2024.04.01"
org-jetbrains-kotlin-android = "1.9.0"
hilt-lifecycle-viewmodel = "1.0.0-alpha03"
androidx-hilt-lifecycle = "1.2.0"
retrofit-version = "2.9.0"
okhttp3-interceptor = "4.9.0"
lifecycle-viewmodel = "2.7.0"
navigation-compose = "2.7.7"
runtime-livedata = "1.7.5"
androidx-fragment = "1.8.5"
navigationFragment = "2.8.4"
accompanist-pager = "0.31.3-beta"
coreI18n = "1.0.0-alpha01"

[libraries]
androidx-core-ktx = { group = "androidx.core", name = "core-ktx", version.ref = "coreKtx" }
ccp = { module = "com.hbb20:ccp", version.ref = "ccp" }
hilt-android = { module = "com.google.dagger:hilt-android", version.ref = "hiltAndroid" }
hilt-compiler = { module = "com.google.dagger:hilt-compiler", version.ref = "hiltAndroid" }
hilt-lifecycle = { module = "androidx.hilt:hilt-lifecycle-viewmodel", version.ref = "hilt-lifecycle-viewmodel" }
hilt-navigation = { module = "androidx.hilt:hilt-navigation-compose", version.ref = "androidx-hilt-lifecycle" }
androidx-hilt-compiler = {module = "androidx.hilt:hilt-compiler", version.ref = "androidx-hilt-lifecycle" }
junit = { group = "junit", name = "junit", version.ref = "junit" }
androidx-junit = { group = "androidx.test.ext", name = "junit", version.ref = "junitVersion" }
androidx-espresso-core = { group = "androidx.test.espresso", name = "espresso-core", version.ref = "espressoCore" }
androidx-lifecycle-runtime-ktx = { group = "androidx.lifecycle", name = "lifecycle-runtime-ktx", version.ref = "lifecycleRuntimeKtx" }
androidx-activity-compose = { group = "androidx.activity", name = "activity-compose", version.ref = "activityCompose" }
androidx-compose-bom = { group = "androidx.compose", name = "compose-bom", version.ref = "composeBom" }
androidx-ui = { group = "androidx.compose.ui", name = "ui" }
androidx-ui-graphics = { group = "androidx.compose.ui", name = "ui-graphics" }
androidx-ui-tooling = { group = "androidx.compose.ui", name = "ui-tooling" }
androidx-ui-tooling-preview = { group = "androidx.compose.ui", name = "ui-tooling-preview" }
androidx-ui-test-manifest = { group = "androidx.compose.ui", name = "ui-test-manifest" }
androidx-ui-test-junit4 = { group = "androidx.compose.ui", name = "ui-test-junit4" }
androidx-material3 = { group = "androidx.compose.material3", name = "material3" }
retrofit2-squareup = { module = "com.squareup.retrofit2:retrofit", version.ref = "retrofit-version" }
retrofit-converter = { module = "com.squareup.retrofit2:converter-gson", version.ref = "retrofit-version" }
okhttp3-logging-interceptor = { module = "com.squareup.okhttp3:logging-interceptor", version.ref = "okhttp3-interceptor"}
lifecycle-viewmodel-compose = { module = "androidx.lifecycle:lifecycle-viewmodel-compose", version.ref = "lifecycle-viewmodel" }
navigation-compose = { module = "androidx.navigation:navigation-compose", version.ref = "navigation-compose" }
runtime-livedata = { module = "androidx.compose.runtime:runtime-livedata", version.ref = "runtime-livedata"}
androidx-fragment = { module = "androidx.fragment:fragment-ktx", version.ref = "androidx-fragment"}
androidx-navigation-fragment = { group = "androidx.navigation", name = "navigation-fragment", version.ref = "navigationFragment" }
accompanist-pager= { module = "com.google.accompanist:accompanist-pager", version.ref = "accompanist-pager" }
accompanist-pager-indicators = { module = "com.google.accompanist:accompanist-pager-indicators", version.ref = "accompanist-pager" }
androidx-core-i18n = { group = "androidx.core", name = "core-i18n", version.ref = "coreI18n" }


[plugins]
android-application = { id = "com.android.application", version.ref = "agp" }
jetbrains-kotlin-android = { id = "org.jetbrains.kotlin.android", version.ref = "kotlin" }
org-jetbrains-kotlin-kapt = { id = "org.jetbrains.kotlin.kapt", version.ref = "org-jetbrains-kotlin-android"}
hilt-android-plugin = { id = "com.google.dagger.hilt.android", version.ref = "hiltAndroid" }


